Scientific Linux Security Update : python-pillow on SL7.x i686/x86_64 (2022:0609)

critical Nessus Plugin ID 158331

Synopsis

The remote Scientific Linux host is missing one or more security updates.

Description

The remote Scientific Linux 7 host has packages installed that are affected by multiple vulnerabilities as referenced in the SLSA-2022:0609-1 advisory.

- python-pillow: PIL.ImageMath.eval allows evaluation of arbitrary expressions (CVE-2022-22817)

- python-pillow: buffer over-read during initialization of ImagePath.Path in path_getbbox() in path.c (CVE-2022-22816)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://www.scientificlinux.org/category/sl-errata/slsa-20220609-1

Plugin Details

Severity: Critical

ID: 158331

File Name: sl_20220223_python_pillow_on_SL7_x.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2/24/2022

Updated: 2/24/2022

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2022-22817

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:fermilab:scientific_linux, p-cpe:/a:fermilab:scientific_linux:python-pillow, p-cpe:/a:fermilab:scientific_linux:python-pillow-debuginfo, p-cpe:/a:fermilab:scientific_linux:python-pillow-devel, p-cpe:/a:fermilab:scientific_linux:python-pillow-doc, p-cpe:/a:fermilab:scientific_linux:python-pillow-qt, p-cpe:/a:fermilab:scientific_linux:python-pillow-sane, p-cpe:/a:fermilab:scientific_linux:python-pillow-tk

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 2/23/2022

Vulnerability Publication Date: 1/10/2022

Reference Information

CVE: CVE-2022-22816, CVE-2022-22817